Bug 485615 - Install kernel -> Too many levels of symbolic links
Install kernel -> Too many levels of symbolic links
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-15 05:56 EST by sangu
Modified: 2009-05-06 12:47 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-06 12:47:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixed mkinitrd script (44.00 KB, text/plain)
2009-02-23 11:14 EST, Hans de Goede
no flags Details

  None (edit)
Description sangu 2009-02-15 05:56:10 EST
Description of problem:
$ yum install kernel
<skip>
Installing     : kernel
gzip: /tmp/initrd.TWqtB6/lib/kbd/keymaps/i386/qwerty/ko.map.gz: Too many levels of symbolic links

$ ls -al /lib/kbd/keymaps/i386/qwerty/ko.map.gz 
lrwxrwxrwx 1 root root 9 2009-02-13 22:00 /lib/kbd/keymaps/i386/qwerty/ko.map.gz -> us.map.gz

Version-Release number of selected component (if applicable):
6.0.77-1.fc11

How reproducible:
always.

Steps to Reproduce:
1. yum install kernel
2.
3.
  
Actual results:


Expected results:


Additional info:
# cat /etc/sysconfig/keyboard 
KEYBOARDTYPE="pc"
KEYTABLE="ko"
Comment 1 Hans de Goede 2009-02-15 10:13:57 EST
Can you please give us the output of:
printenv LANG
cat /etc/sysconfig/keyboard

Thank you.
Comment 2 sangu 2009-02-16 11:27:20 EST
$ printenv LANG
ko_KR.UTF-8
$ cat /etc/sysconfig/keyboard 
KEYBOARDTYPE="pc"
KEYTABLE="ko"
Comment 3 Hans de Goede 2009-02-23 11:14:10 EST
Created attachment 332941 [details]
Fixed mkinitrd script

Thanks for the info.

Try this version of the mkinitrd script, that should fix it.
Comment 4 Jeremy Katz 2009-05-06 12:47:11 EDT
Hans pushed these fixes

Note You need to log in before you can comment on or make changes to this bug.